<template>
  <div class="sw-gs-select-client-for-guide">
    <SfSelect :label="$t('Act for user')"
              v-if="isGuide"
              :value="currentClientForGuide"
              :placeholder="$t('Select user')"
              @input="onChange">
      <SfSelectOption v-for="client in clients"
                      :value="client.attendeeId"
                      :key="client.attendeeId">
        <template v-if="client.attendeeName">
          {{ client.attendeeName }}
        </template>
        <template v-else>
          {{ client.attendeeId }}
        </template>
      </SfSelectOption>
    </SfSelect>
  </div>
</template>

<script lang="ts">
  import {SfSelect} from "@storefront-ui/vue"
  import {useState} from "../logic/composables/useState";
  import {useAppointment} from "../logic/composables/useAppointment";
  import {computed} from '@vue/composition-api';

  export default {
    name: "SwGsSelectClientForGuide",
    components: {
      SfSelect
    },
    setup() {
      const {isGuide} = useAppointment();
      const {
        currentClientForGuide,
        setCurrentClientForGuide,
        stateForGuides
      } = useState();

      function onChange(attendeeId: string) {
        setCurrentClientForGuide(attendeeId);
      }

      return {
        isGuide,
        onChange,
        currentClientForGuide,
        clients: computed(() => stateForGuides?.value?.clients),
      }
    }
  }
</script>

<style lang="scss" scoped>
  .sw-gs-select-client-for-guide {
    ::v-deep {
      .sf-select {
        padding-bottom: 0;
        height: 46px;
      }

      .sf-select__dropdown {
        max-width: 170px;
        min-width: 80px;
        font-size: var(--select-label-font-size);
      }

      .sf-select__error-message {
        display: none;
      }
    }
  }
</style>
